Get RFQs
curl --request GET \
--url https://external-api.kalshi.com/trade-api/v2/communications/rfqs \
--header 'KALSHI-ACCESS-KEY: <api-key>' \
--header 'KALSHI-ACCESS-SIGNATURE: <api-key>' \
--header 'KALSHI-ACCESS-TIMESTAMP: <api-key>'import requests
url = "https://external-api.kalshi.com/trade-api/v2/communications/rfqs"
headers = {
"KALSHI-ACCESS-KEY": "<api-key>",
"KALSHI-ACCESS-SIGNATURE": "<api-key>",
"KALSHI-ACCESS-TIMESTAMP": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'KALSHI-ACCESS-KEY': '<api-key>',
'KALSHI-ACCESS-SIGNATURE': '<api-key>',
'KALSHI-ACCESS-TIMESTAMP': '<api-key>'
}
};
fetch('https://external-api.kalshi.com/trade-api/v2/communications/rfqs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rfqs": [
{
"id": "<string>",
"creator_id": "<string>",
"market_ticker": "<string>",
"contracts_fp": "10.00",
"status": "open",
"created_ts": "2023-11-07T05:31:56Z",
"target_cost_dollars": "0.5600",
"mve_collection_ticker": "<string>",
"mve_selected_legs": [
{
"event_ticker": "<string>",
"market_ticker": "<string>",
"side": "<string>",
"yes_settlement_value_dollars": "0.5600"
}
],
"rest_remainder": true,
"cancellation_reason": "<string>",
"creator_user_id": "<string>",
"creator_subaccount": 123,
"cancelled_ts": "2023-11-07T05:31:56Z",
"updated_ts": "2023-11-07T05:31:56Z"
}
],
"cursor": "<string>"
}{
"code": "<string>",
"message": "<string>",
"details": "<string>"
}{
"code": "<string>",
"message": "<string>",
"details": "<string>"
}communications
Get RFQs
Endpoint for getting RFQs
GET
/
communications
/
rfqs
Get RFQs
Authorizations
Your API key ID
RSA-PSS signature of the request
Request timestamp in milliseconds
Query Parameters
Pagination cursor. Use the cursor value returned from the previous response to get the next page of results. Leave empty for the first page.
Event ticker to filter by. Only a single event ticker is supported.
Filter by market ticker
Subaccount number (0 for primary, 1-63 for subaccounts). If omitted, defaults to all subaccounts.
Parameter to specify the number of results per page. Defaults to 100.
Required range:
1 <= x <= 100Filter RFQs by status
Filter RFQs by creator user ID
Omit or leave empty to return all results. Use self to filter by the authenticated user.
Available options:
self